Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005596opensim[REGION] OpenSim Corepublic2011-07-20 06:472021-10-25 09:56
Reportermakopoppo 
Assigned Totampa 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOperating SystemOperating System Version
Product Versionmaster (dev code) 
Target VersionFixed in Version 
Summary0005596: "terrain save" command in "root" region console throws error "File already exists." if it has several regions
DescriptionIt might be by design, but we can issue "terrain save" command in "root" region console. If your sim has several region and issue this command in root console, it shows error only if the destination file is .raw. I guess it is because it tries to create .raw file for each regions.

I don't sure if it is by design that we can issue command in root console, but at least, I wonder why only *.raw file will be created for each regions...
Additional InformationRegion (root) # terrain save makopo/terrains.r32
Region (root) # terrain save makopo/terrains.f32
Region (root) # terrain save makopo/terrains.ter
Region (root) # terrain save makopo/terrains.raw
22:38:01 - [TERRAIN]: Unable to save to makopo/terrains.raw, Could not create file "/opensim/bin/makopo/terrains.raw". File already exists.
22:38:01 - [EVENT MANAGER]: Delegate for TriggerOnPluginConsole failed - continuing. Unable to save heightmap: Could not create file "/opensim/bin/makopo/terrains.raw". File already exists. at OpenSim.Region.CoreModules.World.Terrain.TerrainModule.SaveToFile (System.String filename) [0x00000] in <filename unknown>:0
  at OpenSim.Region.CoreModules.World.Terrain.TerrainModule.InterfaceSaveFile (System.Object[] args) [0x00000] in <filename unknown>:0
  at OpenSim.Region.CoreModules.Framework.InterfaceCommander.Command.Run (System.Object[] args) [0x00000] in <filename unknown>:0
  at OpenSim.Region.CoreModules.Framework.InterfaceCommander.Commander.ProcessConsoleCommand (System.String function, System.String[] args) [0x00000] in <filename unknown>:0
  at OpenSim.Region.CoreModules.World.Terrain.TerrainModule.EventManager_OnPluginConsole (System.String[] args) [0x00000] in <filename unknown>:0
  at OpenSim.Region.Framework.Scenes.EventManager.TriggerOnPluginConsole (System.String[] args) [0x00000] in <filename unknown>:0
22:38:01 - [TERRAIN]: Unable to save to makopo/terrains.raw, Could not create file "/opensim/bin/makopo/terrains.raw". File already exists.
22:38:01 - [EVENT MANAGER]: Delegate for TriggerOnPluginConsole failed - continuing. Unable to save heightmap: Could not create file "/opensim/bin/makopo/terrains.raw". File already exists. at OpenSim.Region.CoreModules.World.Terrain.TerrainModule.SaveToFile (System.String filename) [0x00000] in <filename unknown>:0
  at OpenSim.Region.CoreModules.World.Terrain.TerrainModule.InterfaceSaveFile (System.Object[] args) [0x00000] in <filename unknown>:0
  at OpenSim.Region.CoreModules.Framework.InterfaceCommander.Command.Run (System.Object[] args) [0x00000] in <filename unknown>:0
  at OpenSim.Region.CoreModules.Framework.InterfaceCommander.Commander.ProcessConsoleCommand (System.String function, System.String[] args) [0x00000] in <filename unknown>:0
  at OpenSim.Region.CoreModules.World.Terrain.TerrainModule.EventManager_OnPluginConsole (System.String[] args) [0x00000] in <filename unknown>:0
  at OpenSim.Region.Framework.Scenes.EventManager.TriggerOnPluginConsole (System.String[] args) [0x00000] in <filename unknown>:0
Region (root) # terrain save makopo/terrains.jpg
Region (root) # terrain save makopo/terrains.jpeg
Region (root) # terrain save makopo/terrains.bmp
Region (root) # terrain save makopo/terrains.png
Region (root) # terrain save makopo/terrains.gif
Region (root) # terrain save makopo/terrains.tiff
Region (root) # terrain save makopo/terrains.tif
Region (root) #
TagsNo tags attached.
Git Revision or version number9fc7d65
Run ModeStandalone (1 Region) , Standalone (Multiple Regions) , Grid (1 Region per Sim) , Grid (Multiple Regions per Sim)
Physics EngineBasicPhysics
Script Engine
EnvironmentUnknown
Mono VersionNone
Viewer
Attached Files

- Relationships

-  Notes
(0038041)
tampa (reporter)
2021-10-19 17:47

Setting this as confirmed for now, but I suspect that is simply part of terrain not sharing information across the simulator. It tries to write region.raw as far as I can see. I don't think the module can create per-region raws as I think it is a non shared module, thus has no idea of the existence of other regions.

Regardless of this you should always change into the region you want to edit or do anything with to make sure. Given this might be by design and not really something that can be solved rather just "gated" it might be best to just resolve given the age of this issue.
(0038176)
tampa (reporter)
2021-10-25 09:56

There was a commit on this. I just tried it and it creates a .raw for each region, named the same still as that seems to be in line with what the other formats do when run from root.

Use change region and specific filenames or rely on AutoBackup module, which should save terrain also.

Setting this as resolved as the error should be gone now. Should be another ticket on why we don't append to filenames or add timestamps to those files when run for multiple regions.

- Issue History
Date Modified Username Field Change
2011-07-20 06:47 makopoppo New Issue
2011-07-20 06:47 makopoppo Git Revision => 9fc7d65
2011-07-20 06:47 makopoppo Run Mode => Standalone (1 Region) , Standalone (Multiple Regions) , Grid (1 Region per Sim) , Grid (Multiple Regions per Sim)
2011-07-20 06:47 makopoppo Physics Engine => BasicPhysics
2011-07-20 06:47 makopoppo Environment => Unknown
2011-07-20 06:47 makopoppo Mono Version => None
2011-07-20 06:48 makopoppo Description Updated
2021-10-19 17:47 tampa Note Added: 0038041
2021-10-19 17:47 tampa Status new => confirmed
2021-10-25 09:56 tampa Note Added: 0038176
2021-10-25 09:56 tampa Status confirmed => resolved
2021-10-25 09:56 tampa Resolution open => fixed
2021-10-25 09:56 tampa Assigned To => tampa


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker